curl_version
CURLFile::__construct
cURL
PHP Manual

# The CURLFile class

(PHP 5 >= 5.5.0, PHP 7)

## Introduction

CURLFile should be used to upload a file with `CURLOPT_POSTFIELDS`.

## Class synopsis

CURLFile {
/* Properties */
public $name ;
public $mime ;
public $postname ;
/* Methods */
public __construct ( string `$filename` [, string `$mimetype` [, string `$postname` ]] )
public string getFilename ( void )
public string getMimeType ( void )
public string getPostFilename ( void )
public void setMimeType ( string `$mime` )
public void setPostFilename ( string `$postname` )
public void __wakeup ( void )
}

## Properties

name

  Name of the file to be uploaded.

mime

  MIME type of the file (default is application/octet-stream).

postname

  The name of the file in the upload data (defaults to the name property).

## See Also

- curl_setopt()

## Table of Contents

- CURLFile::__construct — Create a CURLFile object
- CURLFile::getFilename — Get file name
- CURLFile::getMimeType — Get MIME type
- CURLFile::getPostFilename — Get file name for POST
- CURLFile::setMimeType — Set MIME type
- CURLFile::setPostFilename — Set file name for POST
- CURLFile::__wakeup — Unserialization handler

curl_version
CURLFile::__construct
cURL
PHP Manual